.go-universal-search {
  display: flex;
  flex-direction: column;
  gap: var(--wp--preset--spacing--50);
  .go-card {
    @media (min-width: 700px) {
      margin: 0 var(--wp--preset--spacing--70);
    }
  }
}

.go-universal-search-form {
  display: grid;
  gap: 1rem;

  .go-universal-search-form__row {
    display: grid;
    grid-template-columns: 1fr auto;
    gap: 1.5rem;
    align-items: center;
  }

  input[type="search"] {
    font-size: 1.25rem !important;
    text-transform: uppercase;
  }

  .input-submit {
    min-height: 2.9rem;
  }
}

.go-universal-search-results {
  display: grid;
  gap: var(--wp--preset--spacing--50);

  .wp-block-query {
    margin: 0;
  }

  .go-universal-search-terms {
    display: grid;
    gap: var(--wp--preset--spacing--20);
  }

  .wp-block-post-terms {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5em;

    .wp-block-post-terms__separator {
      display: none;
    }

    a {
      display: block;
      padding: 0.6em 0.8em;
      font-size: 0.62em;
      font-weight: 200;
      color: var(--wp--preset--color--label-text);
      text-transform: uppercase;
      letter-spacing: 0.1em;
      text-decoration: none;
      background-color: var(--wp--preset--color--label);
      border-radius: 3px;

      &:hover,
      &:focus {
        text-decoration: none !important;
      }

      &[href*="news"] {
        background-color: var(--wp--preset--color--news-label);
      }

      &:is(
          [href*="music"],
          [href*="soundsets"],
          [href*="news"],
          [href*="tutorials"],
          [href*="tutorial-access"],
          [href*="support"]
        ) {
        background-color: var(--wp--preset--color--meta-label);
      }

      &[href*="album"] {
        background-color: var(--wp--preset--color--album-label);
      }

      &[href*="singles"] {
        background-color: var(--wp--preset--color--single-label);
      }

      &[href*="omnisphere"] {
        background-color: var(--wp--preset--color--omnisphere);
      }

      &[href*="diva"] {
        background-color: var(--wp--preset--color--diva);
      }

      &[href*="pigments"] {
        background-color: var(--wp--preset--color--pigments);
      }
    }
  }

  .go-universal-search-post-template {
    grid-template-columns: repeat(
        auto-fill,
        minmax(
          max(
            min(275px, 100%),
            (100% - (var(--wp--preset--spacing--30) * (4 - 1))) /
            4
          ),
          1fr
        )
      );
    container-type: inline-size;
    gap: var(--wp--preset--spacing--40) var(--wp--preset--spacing--30);
    padding: 0;
    margin: 0;
    list-style: none;

    li.wp-block-post {
      display: flex;
      flex-direction: column;
      gap: var(--wp--preset--spacing--30);
      align-items: normal;
    }

    .wp-block-post-featured-image {
      position: relative;
      display: block;
      width: 100%;
      height: auto;

      > a {
        display: block;
        width: 100%;
        height: auto;
        > img {
          width: 100%;
          height: auto;
          border-radius: var(--wp--preset--border-radius--small);
        }
      }
    }
  }

  .wp-block-post-excerpt {
    .wp-block-post-excerpt__excerpt {
      margin: 0;
    }
  }
}

.go-universal-search-empty {
  margin: 0 auto;
}

@media (max-width: 699px) {
  .go-universal-search-form {
    .go-universal-search-form__row {
      grid-template-columns: 1fr;
    }

    .input-submit {
      width: 100%;
    }
  }

  .go-universal-search-filter {
    justify-content: stretch;

    .input-select {
      width: 100%;
    }
  }
}
